# Uses of Class
com.sun.tools.attach.VirtualMachineDescriptor

Packages that use VirtualMachineDescriptor
Package
Description
com.sun.tools.attach
Provides the API to attach to a Java virtual machine.
com.sun.tools.attach.spi
Only developers who are defining new attach providers should need to make direct use of this package.

## Uses of VirtualMachineDescriptor in com.sun.tools.attach

Methods in com.sun.tools.attach that return types with arguments of type VirtualMachineDescriptor
Modifier and Type
Method
Description
`static List<VirtualMachineDescriptor>`
VirtualMachine.`list()`
Return a list of Java virtual machines.
Methods in com.sun.tools.attach with parameters of type VirtualMachineDescriptor
Modifier and Type
Method
Description
`static VirtualMachine`
VirtualMachine.`attach​(VirtualMachineDescriptor vmd)`
Attaches to a Java virtual machine.

## Uses of VirtualMachineDescriptor in com.sun.tools.attach.spi

Methods in com.sun.tools.attach.spi that return types with arguments of type VirtualMachineDescriptor
Modifier and Type
Method
Description
`abstract List<VirtualMachineDescriptor>`
AttachProvider.`listVirtualMachines()`
Lists the Java virtual machines known to this provider.
Methods in com.sun.tools.attach.spi with parameters of type VirtualMachineDescriptor
Modifier and Type
Method
Description
`VirtualMachine`
AttachProvider.`attachVirtualMachine​(VirtualMachineDescriptor vmd)`
Attaches to a Java virtual machine.